###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################


# required stuff
find_package( TQt )
find_package( TDE )


##### gettext

if( BUILD_TRANSLATIONS )
  include( FindGettext )
  if( GETTEXT_FOUND )
    set( MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} 
      CACHE FILEPATH "path to msgfmt executable" )
  endif( GETTEXT_FOUND )
  
  if( NOT MSGFMT_EXECUTABLE )
    tde_message_fatal( "msgfmt is required but was not found on your system." )
  endif( NOT MSGFMT_EXECUTABLE )
endif( BUILD_TRANSLATIONS )
